#include "root.h"

Root::Root(int& argc, char* argv[]) :
    QGuiApplication(argc, argv)
{

}

Root::~Root() {

}

bool Root::notify(QObject* receiver, QEvent* e) {
    try {
        return QGuiApplication::notify(receiver, e);
    } catch (const std::exception& e) {
        std::cout << "Caught an exception, error message:\n" << e.what() << std::endl;
    } catch (const int& e) {
        std::cout << "Caught int exception: " << e << std::endl;
    } catch (...) {
        std::cout << "Caught an exception" << std::endl;
    }

    std::cout << "Squawk is quiting..." << std::endl;
    exit(1);
    return false;
}
